Pen-Puppy

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
kros54
Hozzászólások: 397
Csatlakozott: 2014.06.17. 07:01
Kapcsolat:

Re: Pen-Puppy

Hozzászólás Szerző: kros54 »

Miután a Pulival jól elszórakoztam (a valóságban inkább kikapcsolódtam a napi munka robotizált meg nem automatizálható dolgaiból persze) megnéztem ezt cuccot.
Méghozzá csavarva egy kicsit a dolon: a @gjuhasz által a Pulihoz ajánlott és onnan való Lili gyártotta a pemdrivot.
A bullseyepup64-9.1.0.lite puplet szépen települt, megérkezett conky.
lll.jpg
lll.jpg (94.18 KiB) Megtekintve 987 alkalommal
A gép ugyanaz, mint a Pulinál, hát ez lényegesen erőforrás-igényesebb, úgy jó két és félszer több kell neki. (Más a kernelverzió is.)
@NTamas korábban írt erről, és hiányolta az audiószekcióhoz szükséges fájlokat. Lehet, nem elég figyelmesen olvastam, de @pfeco éppen azt írta, hogy ez már a javításokat is tartalmazó cucc (ezért is ezt töltöttem le), s valóban, a telepítés után felcsahol, de csak ennyi, a youtube-lejátszásnál néma.
Szóval van ezen még munka.
Viszont nagyon tetszik az ikonpakkja, szóval amúgy tetszetős darab, de a munkára fogáshoz még sokat kéne rajta dolgozni, s annyi időm sajna nincs.

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: Pen-Puppy

Hozzászólás Szerző: NTamas »

A nagy memória fogyasztás oka az általad használt, és a Bullseye-ben alapból az adrv-ben (abban van amúgy az Abiword és a Gnumeric is) lévő 64 bites 68.7.0esr Firefox verzió.
Jól látható a htop-os képen is a rengeteg ffox által megnyitott szál, ami többmagos procin lehet, hogy előnyt jelent,(het) de ez magával vonja azt is, hogy ehhez több memóriát is lefoglal magának a 64 bites szoftver. És igen, a valamiért Firefoxnál nem jó az amúgy valóban javított verziójú Bullseye64-lite verzióban a hang viszont nálam (én száműztem a gépről a legújabb firefoxot) a Palemoon 28.9.3-as 64 bites verzióval azonnal volt hangja a youtube-nak.
Valóban kell ezzel az újabb, javított verzióval is foglalkozni, mert sok minden kell bele, ami jelenleg most nincs benne, -de ezt amúgy írta is a készítője!- és hát a csomagkezelő sem áll teljesen a helyzet magaslatán, de ezt már megírtam régebben, nem ismétlem el újra.

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: Pen-Puppy

Hozzászólás Szerző: NTamas »

A hangot meg egyszerűen a Pmusic-al tudod leellenőrizni, mert a Bullseye64 lite-ben a default audió lejátszó a Pmusic, ez pedig már a javított, utólag feltelepített ffmpeg-et használja(elvileg) a hang megszólaltatására.(ezt hiányoltam én a sima 9.0 verzióból)(az (az alsa beállításakori) ugatást viszont továbbra is az alap aplay végzi)
Tehát, ha megszólal, és működik a Pmusic, akkor már a javított, ffmpeg-es verziót használod. (de ehhez sem árt azért a csomagkezelőből a libav codeckeket fel/újratelepíteni. -libavcodeck, libavfilter, stb.)

pfeco
Hozzászólások: 165
Csatlakozott: 2014.08.09. 21:24

Re: Pen-Puppy

Hozzászólás Szerző: pfeco »

GroovyPup64-Lite

Elkészült az
Ubuntu Groovy-Gorilla Puppy tesztelésre alkalmas alfa verziója
FFmpeg,pburn,pmusic,pulseaudió-t tartalmazza és alap JWM ablakkezelővel.

adrv file tartalmaz:
-webböngészőt (Palemoon-28.9.3)
-videólejátszót (VLC-3.0.9.2,Mplayer)
-szövegszerkesztőt (Abiword)
-táblázatkezelő (Gnumeric)
groovypup64-Lite.jpg
groovypup64-Lite.jpg (67.85 KiB) Megtekintve 941 alkalommal
Letölthető innen:https://drive.google.com/open?id=1Y2gsQ ... aMp5Q4Tmu-

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: Pen-Puppy

Hozzászólás Szerző: NTamas »

Na akkor, ha már adtam pár szempontot, hogy mi legyen az új alapverzióban, úgy is illik, hogy teszteljem is le az elkészült verziót. Az új csomag kernele megegyezik a Focalpup64 kiadáséval, ez nem baj, sőt. A videókártya és az ahhoz kellő(most a kátyám miatt még alacsony) felbontás beállítása után a bevált koreográfia a hangmixer rendes beállítása, átvisszük azokat az elemeket, amiket majd látni szeretnénk a mixerben, megadjuk a master-t, és ezt alul leokézva letudtuk a mixerbeállítást. Az alsa teszt ezek után már gond nélkül lezajlott, akinek netán nem lenne mégsem hangja, az a Sound Card Wizard-ban keresse-állítsa be a saját hangkártyáját, és ott le is tudja azt ellenőrizni.
A koreográfia következő lépése a csomagkezelő azonnali frissítése, ez is hiba nélkül(szerencsére!) és meglepően gyorsan végbement. Nem árt a GroovyPup64-Lite csomaghoz készült magyarító pet csomagot sem ezek után feltenni, de ezt akár későbbre is halaszthatjuk, (én is így tettem) és inkább foglalkozzunk a beépített programokkal. Kapunk ugye egy Palemoon webböngészőt, előzékeny módon a legfrissebb verziót, amit nekünk kell majd magyarítani a Palemoon-nál már megszokott módszer szerint. Igen, és ehhez a Palemoon weboldaláról le kell szedni(ha még nincsen netán meg ez nekünk) a 28-as verzióhoz való magyar nyelvi hu.xpi fájlt, és ezt telepíteni kell a webböngészőbe, és ezután jön a sokak réme, mégpedig a böngésző címsorába írjuk be ezt: about:config, majd a figyelmeztetés után a címsorba írjuk be: general.useragent.locale és a kapott sor végén az en-US értékét kézzel állítsuk hu-HU-ra egy duplakattintással és az alapérték javítással. És ennyi volt, indítsuk újra a Palemoon-t, és az már magyarul fog fogadni bennünket. A webböngészőben a youtube videóknak természetesen van hangja, ez már a FocalPup64-ben is így volt, itt sincs ez másképp.
Kép

A webböngésző után én a beépített vlc-t tuningoltam fel kicsit, mivel alapból nem volt benne a vlc-plugin-fluidsynth, ezt a csomagkezelőből pótolva a vlc már simán játssza a midi fájlokat is.
Kép

Az alap ikonokat egy másikra átváltva, és a magyarító pet csomag telepítése után a szokásos két tesztprogramomat, az audacious és a pupradió progikat tettem még fel a próbához. A csomagkezelő eléggé sok függőséget lehozott pluszban a két program mellé, de ezt eddig is tudtam, ez nem volt meglepő, sőt jó dolog, hogy nem nekünk kell ezeket egyesével levadászni. Egyelőre a csomagkezelő még jól teszi a dolgát, remélem ez hosszabb távon is így marad.
A csomagkezelőből feltelepített pupradiót azonnal feltöltöttem a saját megszokott linkjeimmel, és egy próba erejéig elindítottam, gond nélkül játssza a fixtv streamjét.
Kép

A képen alul látható, hogy a szabad helyből bizony kifogytam, (a 21 GB-os puppy partíción ez a tesztelt verzió a nyolcadik puppy, és mindössze 1.5GB szabad területem maradt még) ezért több programot már nem tettem fel a tesztelt GroovyPup64-Lite csomagra, és nagyon értelme sincs, mert alapból is jól fel van szerelve. Például fájlkezelőből négy is akad benne, :) a többi alapszinten szükséges dolgok mellett. Végszó, szerinten nagyol jól összerakott kis puppy lett ebből, bátran lehet használni már ebben a kiadásban is, de akár további egyéni bővíthetőségnek sincs semmi akadálya.
A két irodai programot -Abiword, Gnumeric- éppen csak elindítottam, rendben működnek, hibát nem találtam a rövidke teszt alatt.
Csak gratulálni tudok pfeco-nak jó kis csomagot hozott össze nekünk megint, köszönjük!

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: Pen-Puppy

Hozzászólás Szerző: NTamas »

Ma egy kicsit tuningoltam a cuccon, de mielőtt erről írnék, egy találós kérdés, hátha valaki sejti, mire ment el a délutánom, és mi volt a tuning tárgya. Ehhez kaptok egy kis segítséget.
(A két kép összefügg. A helyes megfejtéshez az első képet kell figyelmesebben megnézni.)
Kép
Kép

NTamas
Hozzászólások: 1712
Csatlakozott: 2014.06.19. 13:36

Re: Pen-Puppy

Hozzászólás Szerző: NTamas »

Úgy látszik, hogy nehéz volt a találós kérdés, ezért röviden leírom a megoldást.
De ehhez előbb idézem a pfeco ismertetőjéből a lényegi részt:

adrv file tartalmaz:
-webböngészőt (Palemoon-28.9.3)
-videólejátszót (VLC-3.0.9.2,Mplayer)
-szövegszerkesztőt (Abiword)
-táblázatkezelő (Gnumeric)

Ezért írtam, hogy a megoldás az első képen van, ahol jól látható, hogy nálam a frugall módban egy könyvtárba tett GroovyPup64-Lite-ből most már hiányzik az ominózus adrv.sfs!
Vagyis gyakorlatilag ennek az sfs-nek a mellőzésével eleve kinyírtam a webböngészőt, a vlc-t, és a Gnome Office-hez tartozó Abiword-Numeric párost is. De!
Persze, ahhoz hogy végleg eltűnjenek a puppyból, még némi utómunkálatokat kellett végeznem, kitörölni a rendszerből a webböngésző és a vlc és az Abiword-Numeric nyomait. Eközben ért a meglepetés, mert csak utólag derült ki, hogy a gnome-mplayer program is az adrv-ben kapott helyet,
Kép
[Kép
így annak eltávolításával ez a program is meghalt, és ennek a nyomait is törölhettem ki végleg a rendszerből. Mivel én csak az Abiword-Numeric párostól akartam megszabadulni, a többi programot értelemszerűen pótolni kellett. Ezt részint a csomagkezelővel is elvégezhettem volna, -vlc- de mivel a FocalPup64-nél már volt egy saját gyártású vlc pet telepítőm, így inkább azt használtam fel erre a célra. A Palemoon visszahozásához meg kompletten átemeltem a FocalPup64-ben lévő már lefrissített, magyarított, belakott legújabb Palemoon verziót, annak profilkönyvtárával egyetemben. A Gnome-mplayert volt a legnehezebb pótolni, mert a csomagkezelőben nincsen benne a program, sem a FocalPup64 csomagkezelőjében! - így a netről a common64 könyvtárból kellett egy 64 bites telepítőt kitermelni, és alkalmazni, a kényes művelet -miután nehezen, de megleltem a helyes telepítő csomagot- már hiba nélkül végbement.
Kép
[Kép

Szóval, aki szabadulni akar az Abiword-Numeric párostól, az készüljön fel arra, hogy az adrv.sfs elhagyásával pár programot is pótolnia kell majd. (vagy nekiáll maga szerkeszteni az adrv.sfs-t, de ez eléggé macerás művelet)

Ha már lúd, legyen kövér alapon feltettem még a rendszerre a csomagkezelőből az mpv programot, és ahhoz kiegészítőként a Kylin Videót is. Ez utóbbi azért nagyon hasznos, mert a két médialejátszó motornak, az mplayernek és az mpv-nek is kvázi gui-ként tud működni, rengeteg beállítási lehetőség van benne, azt is mondhatnám, hogy az smplayer utódját tisztelhetjük benne.
Kép
A programról egy rövid leírás itt olvasható:
https://github.com/UbuntuKylin/kylin-video
A programhoz kellő függőségi csomagokról meg itt olvashatunk, és látható, hogy a program több ubuntu verzióban is elérhető, így az azokból, arra épülő puppyk tárolójában is megtalálható.
https://packages.ubuntu.com/groovy/kylin-video

Hát röviden ennyi, ezzel ütöttem el a szombat délutánt, sikerrel.

Update.
A kedvenc minimalista rádiós program is felkerült a GroovyPup64-Lite-ra.
Kép

Update 2.
Sokan, akik bár rendelkeznek valamilyen elektronikus könyvolvasóval (angolul Ebook Reader), talán még hallani se hallottak erről a programról. Így én sem, ezért is volt jó dolog, hogy ráleltem a neten az alábbi cikre, a mondatom első része egy onnan vett idézettel indult.

A KOReader ebook olvasó program
Írta: Oldman2 | 2020-05-16 19:51
https://logout.hu/bejegyzes/oldman2/a_k ... ogram.html

Letöltés:
https://github.com/koreader/koreader/releases
koreader-2020.04.1-amd64.deb (28.4 MB)
https://github.com/koreader/koreader/re ... -amd64.deb

Section: graphics
Priority: optional
Depends: libsdl2-2.0-0
Architecture: amd64
Version: 2020.04.1
Installed-Size: 98896
Package: KOReader
Maintainer: KOReader team
Homepage: https://koreader.rocks
Description: An ebook reader application supporting PDF, DjVu, EPUB, FB2 and many more formats
KOReader is a document viewer application, originally created for Kindle e-ink readers.
It currently runs on Kindle, Kobo, PocketBook, Ubuntu Touch, Android and Linux devices

Kép
Kép
Kép
Kép
Kép
Kép
és az olvasó teljes képernyőre kinyitva.
Kép
Még csak most ismerkedem vele, de már most úgy tűnik, ez is a gépen fog maradni.
Próbáljátok ki, szerintem érdemes.

Válasz küldése

Vissza: “Pupletek”